A thing that has translations

### Hierarchy

- SCThing
  - SCThingWithTranslations

## Index

### Properties

- alternateNames
- description
- image
- name
- origin
- translations
- type
- uid
- url

## Properties

### Optional alternateNames

alternateNames: string[]

Inherited from SCThing.alternateNames

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1558

Alternate names of the thing

### Optional description

description: undefined | string

Inherited from SCThing.description

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1564

Description of the thing

minlength

  1

### Optional image

image: undefined | string

Inherited from SCThing.image

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1568

Image of the thing

### name

name: string

Inherited from SCThing.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1574

Name of the thing

minlength

  1

### origin

origin: SCThingRemoteOrigin | SCThingUserOrigin

Inherited from SCThing.origin

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1578

Origin of the thing

### translations

translations: SCTranslations<SCThingTranslatableProperties>

Overrides SCThing.translations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:782

### type

type: SCThingType

Inherited from SCThing.type

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1588

Type of the thing

### uid

uid: SCUuid

Inherited from SCThing.uid

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1592

Universally unique identifier of the thing

### Optional url

url: undefined | string

Inherited from SCThing.url

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1596

URL of the thing

Generated using TypeDoc